Heroku-18, Heroku-20 and Heroku-22 Stack Images Updated

Change effective on 05 July 2022

We have updated the heroku-18, heroku-20 and heroku-22 stack images to pick up security fixes in upstream packages. The new stack images will be rolled out automatically over the next 24 hours. You do not need to redeploy your app or manually restart your dynos.

See this Dev Center article for an overview of the packages available in each stack image.

The Heroku-18 stack is deprecated and will reach end-of-life on April 30th, 2023. Please upgrade to a newer stack as soon as possible. See the Heroku-18 End-Of-Life FAQ for more details.

Changelog of packages

The following packages have been changed; a separate section for each stack (if applicable) lists packages that are only available at build time, but not at runtime.

Stack: heroku-18

  • Updated curl from version 7.58.0-2ubuntu3.18 to 7.58.0-2ubuntu3.19
  • Updated dirmngr from version 2.2.4-1ubuntu1.5 to 2.2.4-1ubuntu1.6
  • Updated gnupg from version 2.2.4-1ubuntu1.5 to 2.2.4-1ubuntu1.6
  • Updated gnupg-l10n from version 2.2.4-1ubuntu1.5 to 2.2.4-1ubuntu1.6
  • Updated gnupg-utils from version 2.2.4-1ubuntu1.5 to 2.2.4-1ubuntu1.6
  • Updated gpg from version 2.2.4-1ubuntu1.5 to 2.2.4-1ubuntu1.6
  • Updated gpg-agent from version 2.2.4-1ubuntu1.5 to 2.2.4-1ubuntu1.6
  • Updated gpg-wks-client from version 2.2.4-1ubuntu1.5 to 2.2.4-1ubuntu1.6
  • Updated gpg-wks-server from version 2.2.4-1ubuntu1.5 to 2.2.4-1ubuntu1.6
  • Updated gpgconf from version 2.2.4-1ubuntu1.5 to 2.2.4-1ubuntu1.6
  • Updated gpgsm from version 2.2.4-1ubuntu1.5 to 2.2.4-1ubuntu1.6
  • Updated gpgv from version 2.2.4-1ubuntu1.5 to 2.2.4-1ubuntu1.6
  • Updated libcurl3-gnutls from version 7.58.0-2ubuntu3.18 to 7.58.0-2ubuntu3.19
  • Updated libcurl4 from version 7.58.0-2ubuntu3.18 to 7.58.0-2ubuntu3.19
  • Updated libssl1.0.0 from version 1.0.2n-1ubuntu5.9 to 1.0.2n-1ubuntu5.10
  • Updated libssl1.1 from version 1.1.1-1ubuntu2.1~18.04.17 to 1.1.1-1ubuntu2.1~18.04.20
  • Updated linux-libc-dev from version 4.15.0-187.198 to 4.15.0-188.199
  • Updated login from version 1:4.5-1ubuntu2.2 to 1:4.5-1ubuntu2.3
  • Updated openssl from version 1.1.1-1ubuntu2.1~18.04.17 to 1.1.1-1ubuntu2.1~18.04.20
  • Updated passwd from version 1:4.5-1ubuntu2.2 to 1:4.5-1ubuntu2.3

Updates to packages available at build time only

  • Updated libcurl4-openssl-dev from version 7.58.0-2ubuntu3.18 to 7.58.0-2ubuntu3.19
  • Updated libssl-dev from version 1.1.1-1ubuntu2.1~18.04.17 to 1.1.1-1ubuntu2.1~18.04.20

Stack: heroku-20

  • Updated curl from version 7.68.0-1ubuntu2.11 to 7.68.0-1ubuntu2.12
  • Updated dirmngr from version 2.2.19-3ubuntu2.1 to 2.2.19-3ubuntu2.2
  • Updated gnupg from version 2.2.19-3ubuntu2.1 to 2.2.19-3ubuntu2.2
  • Updated gnupg-l10n from version 2.2.19-3ubuntu2.1 to 2.2.19-3ubuntu2.2
  • Updated gnupg-utils from version 2.2.19-3ubuntu2.1 to 2.2.19-3ubuntu2.2
  • Updated gpg from version 2.2.19-3ubuntu2.1 to 2.2.19-3ubuntu2.2
  • Updated gpg-agent from version 2.2.19-3ubuntu2.1 to 2.2.19-3ubuntu2.2
  • Updated gpg-wks-client from version 2.2.19-3ubuntu2.1 to 2.2.19-3ubuntu2.2
  • Updated gpg-wks-server from version 2.2.19-3ubuntu2.1 to 2.2.19-3ubuntu2.2
  • Updated gpgconf from version 2.2.19-3ubuntu2.1 to 2.2.19-3ubuntu2.2
  • Updated gpgsm from version 2.2.19-3ubuntu2.1 to 2.2.19-3ubuntu2.2
  • Updated gpgv from version 2.2.19-3ubuntu2.1 to 2.2.19-3ubuntu2.2
  • Updated libcurl3-gnutls from version 7.68.0-1ubuntu2.11 to 7.68.0-1ubuntu2.12
  • Updated libcurl4 from version 7.68.0-1ubuntu2.11 to 7.68.0-1ubuntu2.12
  • Updated libssl1.1 from version 1.1.1f-1ubuntu2.13 to 1.1.1f-1ubuntu2.16
  • Updated linux-libc-dev from version 5.4.0-120.136 to 5.4.0-121.137
  • Updated openssl from version 1.1.1f-1ubuntu2.13 to 1.1.1f-1ubuntu2.16

Updates to packages available at build time only

  • Updated libcurl4-openssl-dev from version 7.68.0-1ubuntu2.11 to 7.68.0-1ubuntu2.12
  • Updated libssl-dev from version 1.1.1f-1ubuntu2.13 to 1.1.1f-1ubuntu2.16

Stack: heroku-22

  • Updated curl from version 7.81.0-1ubuntu1.2 to 7.81.0-1ubuntu1.3
  • Updated dirmngr from version 2.2.27-3ubuntu2 to 2.2.27-3ubuntu2.1
  • Updated gnupg from version 2.2.27-3ubuntu2 to 2.2.27-3ubuntu2.1
  • Updated gnupg-l10n from version 2.2.27-3ubuntu2 to 2.2.27-3ubuntu2.1
  • Updated gnupg-utils from version 2.2.27-3ubuntu2 to 2.2.27-3ubuntu2.1
  • Updated gpg from version 2.2.27-3ubuntu2 to 2.2.27-3ubuntu2.1
  • Updated gpg-agent from version 2.2.27-3ubuntu2 to 2.2.27-3ubuntu2.1
  • Updated gpg-wks-client from version 2.2.27-3ubuntu2 to 2.2.27-3ubuntu2.1
  • Updated gpg-wks-server from version 2.2.27-3ubuntu2 to 2.2.27-3ubuntu2.1
  • Updated gpgconf from version 2.2.27-3ubuntu2 to 2.2.27-3ubuntu2.1
  • Updated gpgsm from version 2.2.27-3ubuntu2 to 2.2.27-3ubuntu2.1
  • Updated gpgv from version 2.2.27-3ubuntu2 to 2.2.27-3ubuntu2.1
  • Updated libapparmor1 from version 3.0.4-2ubuntu2 to 3.0.4-2ubuntu2.1
  • Updated libcurl3-gnutls from version 7.81.0-1ubuntu1.2 to 7.81.0-1ubuntu1.3
  • Updated libcurl4 from version 7.81.0-1ubuntu1.2 to 7.81.0-1ubuntu1.3
  • Updated libldap-2.5-0 from version 2.5.11+dfsg-1~exp1ubuntu3.1 to 2.5.12+dfsg-0ubuntu0.22.04.1
  • Updated libssl3 from version 3.0.2-0ubuntu1.2 to 3.0.2-0ubuntu1.6
  • Updated libsystemd0 from version 249.11-0ubuntu3.1 to 249.11-0ubuntu3.3
  • Updated libudev1 from version 249.11-0ubuntu3.1 to 249.11-0ubuntu3.3
  • Updated linux-libc-dev from version 5.15.0-39.42 to 5.15.0-40.43
  • Updated openssl from version 3.0.2-0ubuntu1.2 to 3.0.2-0ubuntu1.6
  • Updated systemd from version 249.11-0ubuntu3.1 to 249.11-0ubuntu3.3

Updates to packages available at build time only

  • Updated libcurl4-openssl-dev from version 7.81.0-1ubuntu1.2 to 7.81.0-1ubuntu1.3
  • Updated libldap-dev from version 2.5.11+dfsg-1~exp1ubuntu3.1 to 2.5.12+dfsg-0ubuntu0.22.04.1
  • Updated libldap2-dev from version 2.5.11+dfsg-1~exp1ubuntu3.1 to 2.5.12+dfsg-0ubuntu0.22.04.1
  • Updated libssl-dev from version 3.0.2-0ubuntu1.2 to 3.0.2-0ubuntu1.6
  • Updated libsystemd-dev from version 249.11-0ubuntu3.1 to 249.11-0ubuntu3.3
  • Updated libudev-dev from version 249.11-0ubuntu3.1 to 249.11-0ubuntu3.3